Subject: Re: bug#40969: 28.0.50; [feature/native-comp] unnecessary recompilation

From: Andrea Corallo <[email-masked]>
Date: Wed, 29 Apr 2020 20:31:51 +0000

[email-masked] (Christian Thäter) writes:

> I notice that when I 'org-reload' C-c C-x ! then the whole
> compilation starts again even when its already compiled. Somewhere it
> misses that. I didn't investigate this any further. Maybe its intended
> behavior because org-mode forces to byte-compile itself.
>
> Might be smarter to store a hash over the source .el or .elc in the .eln
> metadata and prevent recompilation when it was already compiled. In fact
> all .eln could be addressed by these hashes with some directory
> restructuring (I dont go into detail here, this would be another
> feature).

Hi Christian,

I assume deferred-compilation is non nil.

I managed to reproduce the issue and 02e3ffad6d solves it for me.

The only thing I'm uncertain is if generally speaking we should disable
the deferred compilation trigger when a load with MUST-SUFFIX non-nil is
performed.  Currently we are not doing that but I'm asking myself if
this would be appropriate.

Thanks

  Andrea

-- 
[email-masked]